searchData={"items":[{"type":"module","title":"HumbleUlid","doc":"Universally Unique Lexicographically Sortable Identifier.\n\n- Binary compatible with 128 bit UUIDs\n- 1.21e+24 unique ULIDs per millisecond\n- Lexicographically sortable!\n- Uses Crockford's base32 for better efficiency and readability (5 bits per character)\n- Case insensitive","ref":"HumbleUlid.html"},{"type":"module","title":"How to use - HumbleUlid","doc":"alias HumbleUlid, as: ULID\n\n    ULID.generate()\n    ULID.generate_binary()","ref":"HumbleUlid.html#module-how-to-use"},{"type":"function","title":"HumbleUlid.decode/2","doc":"","ref":"HumbleUlid.html#decode/2"},{"type":"function","title":"HumbleUlid.generate/1","doc":"Generates a new Crockford base32 encoded ULID based on the provided timestamp or the current System Time.","ref":"HumbleUlid.html#generate/1"},{"type":"function","title":"HumbleUlid.generate_binary/1","doc":"Generates a new ULID in binary form based on the provided timestamp or the current System Time.","ref":"HumbleUlid.html#generate_binary/1"},{"type":"extras","title":"HumbleUlid","doc":"# HumbleUlid\n\nYet another ULID library mainly intended for use in other Humble packages.","ref":"readme.html"},{"type":"extras","title":"Installation - HumbleUlid","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `humble_ulid` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:humble_ulid, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"},{"type":"extras","title":"License - HumbleUlid","doc":"Copyright (c) 2024 Henning Dahlheim\n\nDistributed under the [MIT License](LICENSE).","ref":"readme.html#license"},{"type":"extras","title":"Why yet another ULID package? - HumbleUlid","doc":"I noticed that the other ULID packages were causing warnings during compilation and\nhaven't been published to Hex in a while. Instead of opening issues asking for a\nnew release, I wanted to implement it myself as an exercise with the option to change\nthe API to my needs.\n\nThis package aims to be dependency free.\n\nI'll try to keep this implementation up to date with new versions of Elixir.","ref":"readme.html#why-yet-another-ulid-package"},{"type":"extras","title":"References - HumbleUlid","doc":"[ULID spec](https://github.com/ulid/spec)\n[Ecto.ULID](https://github.com/TheRealReal/ecto-ulid)","ref":"readme.html#references"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2024 Henning Dahlheim\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown"}